#!/usr/bin/env python
import os
from argparse import ArgumentParser

from flask import Flask, request, render_template
from werkzeug import secure_filename


UPLOAD_FOLDER='/tmp'

app = Flask(__name__)

@app.route('/', methods=['GET', 'POST'])
def index():
    if request.method == 'POST':
        file = request.files['file']
        if file:
            filename = secure_filename(file.filename)
            file.save(os.path.join(UPLOAD_FOLDER, filename))
    return render_template('index.html')


def main():
    parser = ArgumentParser('simple upload server')
    parser.add_argument('-p', '--port', type=int, help='specify the server port')
    args = parser.parse_args()
    # Without -p <port>, args.port is None.
    app.run('0.0.0.0', args.port)


if __name__ == '__main__':
    main()
